
#include "testlib.h"

using namespace std;

const int maxN = 1000000;

int main (int, char *[]) {
  registerValidation();
  int n = inf.readInt(1, maxN);
  inf.readSpace();
  inf.readInt(1, n);
  inf.readSpace();
  inf.readInt(1, n);
  inf.readEoln();
  inf.readEof();
  return 0;
}
